CREATE FUNCTION [dbo].[Replace_Oggetto_Lettera_Benvenuto]
(
	@CODICE_CONTRATTO as varchar(16) = '',
	@COGNOME as varchar(20) = '',
	@NOME as varchar(20) = '',
	@TESTO as TEXT = '',
	@TIPOREPORT as varchar(20)
)
RETURNS varchar(5000)
AS
BEGIN
	DECLARE @TESTO_DI_RITORNO as varchar(5000)
	SET @TESTO_DI_RITORNO = @TESTO
	SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'\r\n',char(10));
	SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'\t',char(8));
	SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$codiceContratto$/',@CODICE_CONTRATTO);
	SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$cognome$/',@COGNOME);
	SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$nome$/',@NOME);
	IF (@TIPOREPORT = 'DIAGNOSI')
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$tipo$/','<B>Report di Diagnosi Sei</B>') 
	IF (@TIPOREPORT = 'MONITORAGGIO')
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$tipo$/','<B>Report di Monitoraggio Sei</B>') 
    RETURN @TESTO_DI_RITORNO
END